module Reg4(Clk, D0, D1, D2, D3, Load, Q3, Q2, Q1, Q0);
  input		Clk;
  input		D0;
  input		D1;
  input		D2;
  input		D3;
  input		Load;
  output	Q3;
  output	Q2;
  output	Q1;
  output	Q0;

  reg		Q3, Q2, Q1, Q0;
  reg [3:0]	state;

  always @(posedge Clk) begin
	if (Load) state = {D3, D2, D1, D0};
  end

  assign Q3 = state[3];
  assign Q2 = state[2];
  assign Q1 = state[1];
  assign Q0 = state[0];


endmodule
